Subject: Re: HELP: GIT Cloning failed

From: Phillip Susi <[email-masked]>
Date: Tue, 22 Aug 2006 17:08:09 -0400

Is there a reason that you regularly delete and re-download the entire 
repository, rather than simply doing a git pull to update your existing 
clone?

Ju, Seokmann wrote:
> Hi,
> 
> Recently, I found that cloning from GIT server has been failed.
> I'm using following script for it.
> ---
> ...
> rm -r /home/git/kernels/2.4/linux-2.4.git
> cg-clone
> http://www.kernel.org/pub/scm/linux/kernel/git/marcelo/linux-2.4.git/
> /home/git/kernels/2.4/linux-2.4.git/
> sync
> rm -r /home/git/kernels/2.4/linux-2.6.git
> cg-clone
> http://www.kernel.org/pub/scm/linux/kernel/git/torvalds/linux-2.6.git/
> /home/git/kernels/2.4/linux-2.6.git/
> sync
> rm -r /home/git/kernels/2.4/scsi-misc-2.6.git
> cg-clone
> http://www.kernel.org/pub/scm/linux/kernel/git/marcelo/scsi-misc-2.6.git
> /home/git/kernels/2.4/scsi-misc-2.6.git
> sync
> ...
> ---
> 
> In the script, I'm cloning 3 different sources. First two sources
> getting successfully cloned, however, last one is getting failed with
> following error messages,
> ---
> Fetching head...
> Fetching objects...
> Getting alternates list for
> http://www.kernel.org/pub/scm/linux/kernel/git/jejb/scsi-misc-2.6.git
> Also look at http://www.kernel.or
> Error: The requested URL returned error: 502 (curl_result = 22,
> http_code = 502, sha1 = 1039f0760e...)
> Getting pack list for
> http://www.kernel.org/pub/scm/linux/kernel/git/jejb/scsi-misc-2.6.git/
> Getting pack list for http://www.kernel.or
> Error: The requested URL returned error: 502
> Error: Unable to find 27fd37621... Under
> http://www.kernel.org/pub/scsm/linux/kernel/git/jejb/scsi-misc-2.6.git/
> Cannot obtain needed blob 27fd37621...
> While processing commit 4041b9cd87...
> Progress: 8 objects, 13120 bytes
> Cg-fetch: objects fetch failed
> ---
> 
> Above script worked without any problem when I started several months
> ago and I'm not sure when did it stop working.
> I'm using _cron_ utility on my Linux box for scheduled execution of the
> script.
> 
> Any comment would be appreciated.
> 
> Thank you,
> 
> Seokmann